# local_backend: true
# url: http://localhost:4321/api/v1

backend:
  name: git-gateway
  branch: main
  #roles:
  #  - admin

media_folder: "public/downloads" # Location where files will be stored in the repo
public_folder: "/downloads" # The src attribute for uploaded medias in the front-end

collections:
  - name: "evenementen"
    label: "Evenementen"
    folder: "src/content/evenementen"
    create: true
    extension: "md"
    format: "frontmatter"
    fields:
      - { name: "title", label: "Titel", widget: "string" }
      - { name: "description", label: "Korte omschrijving (Card)", widget: "string" }
      - { name: "longDescription", label: "Lange omschrijving (Pagina)", widget: "text" }
      - { name: "date", label: "Datum", widget: "datetime", format: "YYYY-MM-DD" }
      - { name: "time", label: "Tijd: 12:00 - 16:00", widget: "string" }
      - { name: "price", label: "Prijs", widget: "string" }
      - { name: "location", label: "Locatie", widget: "string" }
      - { name: "accreditation", label: "Accreditatie", widget: "string" }
      - { name: "body", label: "Extra content", widget: "markdown", required: false }

  - name: "maggie_wood"
    label: "Maggie Wood"
    files:
      - label: "Maggie Wood"
        name: "maggie_wood"
        file: "src/content/over/maggie-wood.md"
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Omschrijving", name: "description", widget: "string" }
          - { label: "Body", name: "body", widget: "markdown", required: false }

  - name: "ervaringen"
    label: "Ervaringen"
    folder: "src/content/ervaringen"
    create: true
    slug: "{{slug}}"
    identifier_field: "author"
    label_singular: "Ervaring"
    extension: "md"
    format: "frontmatter"
    fields:
      - { name: "title", label: "Titel", widget: "string" }
      - { name: "author", label: "Auteur", widget: "string" }
      - { name: "category", label: "Categorie", widget: "select", options: ["Gezinstherapie", "Individueel", "Supervisie", "Opleidingen"] }
      - { name: "rating", label: "Rating", widget: "number", min: 1, max: 5 }
      - { name: "featured", label: "Uitgelicht", widget: "boolean", required: false }
      - { name: "body", label: "Ervaring van client", widget: "markdown", required: true }

  - name: "publicaties"
    label: "Publicaties"
    folder: "src/content/publicaties"
    create: true
    slug: "{{slug}}"
    identifier_field: "title"
    fields:
      - { name: "title", label: "Titel", widget: "string" }
      - { name: "type", label: "Type", widget: "string" }
      - { name: "description", label: "Beschrijving", widget: "text" }
      - { name: "year", label: "Jaar", widget: "number" }
      - { name: "link", label: "Link of bestand", widget: "file" }
      - { name: "isDownload", label: "Is download?", widget: "boolean", default: false }

  - name: "training_en_opleiding"
    label: "Training & Opleiding"
    files:
      - label: "Training & Opleiding"
        name: "training_en_opleiding"
        file: "src/content/training/training-en-opleiding.md"
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Omschrijving", name: "description", widget: "string" }
          - { label: "Body", name: "body", widget: "markdown", required: false }

  - name: "externe_training"
    label: "Externe Training"
    files:
      - label: "Externe Training"
        name: "externe_training"
        file: "src/content/extern/externe-training.md"
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Omschrijving", name: "description", widget: "string" }
          - { label: "Body", name: "body", widget: "markdown", required: false }

  - name: "therapie"
    label: "Therapie"
    files:
      - label: "Therapie"
        name: "therapie"
        file: "src/content/therapie/therapie.md"
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Omschrijving", name: "description", widget: "string" }
          - { label: "Body", name: "body", widget: "markdown", required: false }

  - name: "supervisie_en_leertherapie"
    label: "Supervisie & Leertherapie"
    files:
      - label: "Supervisie & Leertherapie"
        name: "supervisie_en_leertherapie"
        file: "src/content/supervisie/supervisie-en-leertherapie.md"
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Omschrijving", name: "description", widget: "string" }
          - { label: "Body", name: "body", widget: "markdown", required: false }

  - name: "test"
    label: "Test"
    # Added the 'files' wrapper here:
    files:
      - label: "Test"
        name: "test"
        file: "src/content/test/home.md"
        fields:
          - { label: "Hero Title", name: "heroTitle", widget: "string" }
          - { label: "Hero Subtext", name: "heroSubtext", widget: "text" }
          - label: "Features"
            name: "features"
            widget: "list"
            fields:
              - { label: "Icon Name", name: "icon", widget: "string" }
              - { label: "Feature Title", name: "title", widget: "string" }
              - { label: "Description", name: "desc", widget: "text" }

  - name: "privacyverklaring"
    label: "Privacyverklaring"
    files:
      - label: "Privacyverklaring"
        name: "privacyverklaring"
        file: "src/content/legaal/privacyverklaring.md"
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { name: "date", label: "Datum aangepast", widget: "datetime", format: "YYYY-MM-DD" }
          - { label: "Body", name: "body", widget: "markdown", required: false }

  - name: "klachtenprocedure"
    label: "Klachtenprocedure"
    files:
      - label: "Klachtenprocedure"
        name: "klachtenprocedure"
        file: "src/content/legaal/klachtenprocedure.md"
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { name: "date", label: "Datum aangepast", widget: "datetime", format: "YYYY-MM-DD" }
          - { label: "Body", name: "body", widget: "markdown", required: false }

  - name: "algemene-voorwaarden"
    label: "Algemene Voorwaarden"
    files:
      - label: "Algemene Voorwaarden"
        name: "algemene-voorwaarden"
        file: "src/content/legaal/algemene-voorwaarden.md"
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { name: "date", label: "Datum aangepast", widget: "datetime", format: "YYYY-MM-DD" }
          - { label: "Body", name: "body", widget: "markdown", required: false }

  - name: "donderssteen"
    label: "Donderssteen"
    files:
      - label: "Donderssteen"
        name: "donderssteen"
        file: "src/content/training/donderssteen.md"
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Omschrijving", name: "description", widget: "string" }
          - { label: "Body", name: "body", widget: "markdown", required: false }

  - name: "systeemmagie"
    label: "Systeemmagie"
    files:
      - label: "Systeemmagie"
        name: "systeemmagie"
        file: "src/content/training/systeemmagie.md"
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Omschrijving", name: "description", widget: "string" }
          - { label: "Body", name: "body", widget: "markdown", required: false }

  - name: "therappartea"
    label: "Therappartea"
    files:
      - label: "Therappartea"
        name: "therappartea"
        file: "src/content/informatie/therappartea.md"
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Omschrijving", name: "description", widget: "string" }
          - { label: "Body", name: "body", widget: "markdown", required: false }